> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/ufc-media/fight-details-scenarios/fight-open-closed.md).

# Fight Open / Closed

## Fight Open

### **Fight Open Object**

| Field Name       | Type    | Description                                                                           |
| ---------------- | ------- | ------------------------------------------------------------------------------------- |
| timestamp        | time    | the time at which the fight started                                                   |
| eventElementType | string  | The event, in this case, always “Fight Open”                                          |
| fightSequence    | integer | the sequence of the fight                                                             |
| fightWeightClass | string  | the weightclass of the fight                                                          |
| referee          | object  | the referee of the fight; split up into first and last name fields                    |
| fightRounds      | integer | the number of rounds in the fight                                                     |
| seqnum           | integer | The sequence number of the event                                                      |
| fighters         | object  | information on each fighter in the fight, split up by corner they are fighting out of |
| stats            | object  | breakdown of fight stats                                                              |

### **Fight Open Object (split up by red/blue corner)**

| Field Name | Type    | Description                   |
| ---------- | ------- | ----------------------------- |
| nickName   | string  | The nickname of the fighter   |
| country    | string  | The country of the fighter    |
| lastName   | string  | The last name of the fighter  |
| lastName   | string  | The first name of the fighter |
| fighterId  | integer | The ID of the fighter         |
| record     | string  | The fighter’s W/L/D record    |

### **Stats Object**

This will show stats for the overall fight, and broken down per round per corner. Will always be 0 in the Fight Open packet.

| Field Name        | Type    | Description                                        |
| ----------------- | ------- | -------------------------------------------------- |
| takedownAttempt   | integer | The number of takedown attempts for that fighter   |
| takedownLanded    | integer | The number of takedowns landed by that fighter     |
| submissionAttempt | integer | The number of submission attempts for that fighter |
| reversal          | integer | The number of reversals by that fighter            |
| knockdown         | integer | The number of knockdowns by that fighter           |

**Sample Response**

```
{
  "-eventElementType": "FightOpen",
  "fightRounds": 3,
  "-fightSequence": 9,
  "-fightWeightclass": "Heavyweight",
  "fighters": {
    "blue": {
      "country": "BRA",
      "fighterId": 4072,
      "firstName": "Jhonata",
      "lastName": "Diniz",
      "nickName": null,
      "record": "8-0-0"
    },
    "red": {
      "country": "POL",
      "fighterId": 1707,
      "firstName": "Marcin",
      "lastName": "Tybura",
      "nickName": "Tybur",
      "record": "25-9-0"
    }
  },
  "referee": {
    "firstName": "Herb",
    "id": 23,
    "lastName": "Dean"
  },
  "seqNum": 1,
  "stats": {
    "fight": {
      "blue": {
        "knockdown": 0,
        "reversal": 0,
        "submissionAttempt": 0,
        "takedownAttempt": 0,
        "takedownLanded": 0
      },
      "red": {
        "knockdown": 0,
        "reversal": 0,
        "submissionAttempt": 0,
        "takedownAttempt": 0,
        "takedownLanded": 0
      }
    },
    "round": {}
  },
  "-timestamp": "2024-11-17T01:06:03.135801Z"
}
```

## **Fight Closed**

This indicates that the fight is closed, and that no more data will be sent through for this fight and that you should close the WS connection to this fight.

### **Fight Closed Object**

| Field Name       | Type    | Description                                    |
| ---------------- | ------- | ---------------------------------------------- |
| timestamp        | time    | the time at which the fight started            |
| eventElementType | string  | The event, in this case, always “Fight Closed” |
| seqNum           | integer | the sequence number of the event               |

### **Sample Response**

```
{
  "eventElementType": "FightClosed",
  "seqNum": 17,
  "timestamp": "2024-11-17T01:28:58.413582Z"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/ufc-media/fight-details-scenarios/fight-open-closed.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
